> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminobservabilitycomputed outbox

> Get the current BullMQ and durable computed outbox health snapshot

Required token scopes: `instance|read`



## OpenAPI

````yaml /swagger.json get /admin/observability/computed-outbox
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/observability/computed-outbox:
    get:
      tags:
        - admin
        - observability
      description: |-
        Get the current BullMQ and durable computed outbox health snapshot

        Required token scopes: `instance|read`
      parameters:
        - schema:
            type: string
            enum:
              - '0'
              - '1'
              - 'true'
              - 'false'
            description: >-
              Force a fresh sample when 1/true. Cached samples are returned by
              default.
          required: false
          description: >-
            Force a fresh sample when 1/true. Cached samples are returned by
            default.
          name: refresh
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - healthy
                      - degraded
                      - critical
                  reasons:
                    type: array
                    items:
                      type: string
                      enum:
                        - queue_unavailable
                        - queue_paused
                        - consumer_unavailable
                        - failed_jobs
                        - dead_letters
                        - stale_processing
                        - overdue_pending
                        - paused_backlog
                        - target_unavailable
                  sampledAt:
                    type: string
                  config:
                    type: object
                    properties:
                      provider:
                        type: string
                        enum:
                          - bullmq
                      producerEnabled:
                        type: boolean
                      consumerEnabled:
                        type: boolean
                      monitorIntervalMs:
                        type: number
                    required:
                      - provider
                      - producerEnabled
                      - consumerEnabled
                      - monitorIntervalMs
                  queue:
                    type: object
                    properties:
                      configured:
                        type: boolean
                      reachable:
                        type: boolean
                      isPaused:
                        type: boolean
                      workers:
                        type: number
                        nullable: true
                      workerConcurrency:
                        type: object
                        properties:
                          processDefault:
                            type: number
                          override:
                            type: number
                            nullable: true
                          min:
                            type: number
                          max:
                            type: number
                        required:
                          - processDefault
                          - override
                          - min
                          - max
                      claimConcurrency:
                        type: object
                        properties:
                          processDefault:
                            type: object
                            properties:
                              perBase:
                                type: number
                              perSeedTable:
                                type: number
                            required:
                              - perBase
                              - perSeedTable
                          override:
                            type: object
                            properties:
                              perBase:
                                type: number
                                nullable: true
                              perSeedTable:
                                type: number
                                nullable: true
                            required:
                              - perBase
                              - perSeedTable
                          min:
                            type: number
                          max:
                            type: number
                        required:
                          - processDefault
                          - override
                          - min
                          - max
                      waiting:
                        type: number
                      active:
                        type: number
                      delayed:
                        type: number
                      failed:
                        type: number
                      paused:
                        type: number
                      prioritized:
                        type: number
                      completed:
                        type: number
                      completedRetentionLimit:
                        type: number
                      failedRetentionLimit:
                        type: number
                      recentCompleted:
                        type: array
                        items:
                          type: object
                          properties:
                            taskId:
                              type: string
                            baseId:
                              type: string
                            baseName:
                              type: string
                            spaceId:
                              type: string
                            spaceName:
                              type: string
                            cause:
                              type: string
                              enum:
                                - created
                                - merged
                                - retry
                                - replay
                            finishedAt:
                              type: string
                            processingDurationMs:
                              type: number
                            attemptsMade:
                              type: number
                          required:
                            - taskId
                            - baseId
                            - cause
                            - finishedAt
                            - attemptsMade
                      recentFailed:
                        type: array
                        items:
                          type: object
                          properties:
                            taskId:
                              type: string
                            baseId:
                              type: string
                            baseName:
                              type: string
                            spaceId:
                              type: string
                            spaceName:
                              type: string
                            cause:
                              type: string
                              enum:
                                - created
                                - merged
                                - retry
                                - replay
                            failedAt:
                              type: string
                            failedReason:
                              type: string
                              nullable: true
                            attemptsMade:
                              type: number
                            ledgerState:
                              type: string
                              enum:
                                - pending
                                - processing
                                - dead
                                - settled
                          required:
                            - taskId
                            - baseId
                            - failedAt
                            - failedReason
                            - attemptsMade
                      error:
                        type: string
                    required:
                      - configured
                      - reachable
                      - workers
                      - waiting
                      - active
                      - delayed
                      - failed
                      - paused
                      - prioritized
                      - completed
                      - completedRetentionLimit
                      - failedRetentionLimit
                      - recentCompleted
                      - recentFailed
                  outbox:
                    type: object
                    properties:
                      duePending:
                        type: number
                      scheduledPending:
                        type: number
                      pausedPending:
                        type: number
                      activeProcessing:
                        type: number
                      staleProcessing:
                        type: number
                      dead:
                        type: number
                      anomalyGroups:
                        type: number
                      oldestDueAgeMs:
                        type: number
                      oldestPausedAgeMs:
                        type: number
                      activePauseScopeCount:
                        type: number
                      targetCount:
                        type: number
                      unavailableTargetCount:
                        type: number
                      storage:
                        type: array
                        items:
                          type: object
                          properties:
                            duePending:
                              type: number
                            scheduledPending:
                              type: number
                            pausedPending:
                              type: number
                            activeProcessing:
                              type: number
                            staleProcessing:
                              type: number
                            dead:
                              type: number
                            anomalyGroups:
                              type: number
                            oldestDueAgeMs:
                              type: number
                            oldestPausedAgeMs:
                              type: number
                            activePauseScopeCount:
                              type: number
                            storage:
                              type: string
                              enum:
                                - default
                                - byodb
                            targetCount:
                              type: number
                            unavailableTargetCount:
                              type: number
                          required:
                            - duePending
                            - scheduledPending
                            - activeProcessing
                            - staleProcessing
                            - dead
                            - oldestDueAgeMs
                            - storage
                            - targetCount
                            - unavailableTargetCount
                      error:
                        type: string
                    required:
                      - duePending
                      - scheduledPending
                      - activeProcessing
                      - staleProcessing
                      - dead
                      - oldestDueAgeMs
                      - targetCount
                      - unavailableTargetCount
                      - storage
                  pauses:
                    type: object
                    properties:
                      activeScopeCount:
                        type: number
                      pausedPending:
                        type: number
                      oldestPausedAgeMs:
                        type: number
                    required:
                      - activeScopeCount
                      - pausedPending
                      - oldestPausedAgeMs
                  dataDbHealth:
                    type: object
                    properties:
                      unhealthyByodbConnections:
                        type: number
                    required:
                      - unhealthyByodbConnections
                  activity:
                    type: object
                    properties:
                      scope:
                        type: string
                        enum:
                          - process
                      lastPublishAt:
                        type: string
                      lastPublishResult:
                        type: string
                        enum:
                          - accepted
                          - error
                          - timeout
                      lastPublishCause:
                        type: string
                      lastConsumeAt:
                        type: string
                      lastConsumeOutcome:
                        type: string
                        enum:
                          - processed
                          - noop
                          - deferred
                          - parked
                          - error
                          - invalid
                      lastDeliveryLagMs:
                        type: number
                      lastExecutionDurationMs:
                        type: number
                    required:
                      - scope
                required:
                  - status
                  - reasons
                  - sampledAt
                  - config
                  - queue
                  - outbox
                  - activity
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/admin/observability/computed-outbox?refresh=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/observability/computed-outbox?refresh=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/observability/computed-outbox?refresh=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/admin/observability/computed-outbox?refresh=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````